CVE-2009-0581

MEDIUM

Description

Memory leak in LittleCMS (aka lcms or liblcms) before 1.18beta2, as used in Firefox 3.1beta, OpenJDK, and GIMP, allows context-dependent attackers to cause a denial of service (memory consumption and application crash) via a crafted image file.

References

http://lists.opensuse.org/opensuse-security-announce/2009-03/msg00004.html

http://scary.beasts.org/security/CESA-2009-003.html

http://scarybeastsecurity.blogspot.com/2009/03/littlecms-vulnerabilities.html

http://secunia.com/advisories/34367

http://secunia.com/advisories/34382

http://secunia.com/advisories/34400

http://secunia.com/advisories/34408

http://secunia.com/advisories/34418

http://secunia.com/advisories/34442

http://secunia.com/advisories/34450

http://secunia.com/advisories/34454

http://secunia.com/advisories/34463

http://secunia.com/advisories/34632

http://secunia.com/advisories/34675

http://secunia.com/advisories/34782

http://security.gentoo.org/glsa/glsa-200904-19.xml

http://slackware.com/security/viewer.php?l=slackware-security&y=2009&m=slackware-security.487438

http://www.debian.org/security/2009/dsa-1745

http://www.debian.org/security/2009/dsa-1769

http://www.mandriva.com/security/advisories?name=MDVSA-2009:121

http://www.mandriva.com/security/advisories?name=MDVSA-2009:137

http://www.mandriva.com/security/advisories?name=MDVSA-2009:162

http://www.ocert.org/advisories/ocert-2009-003.html

http://www.redhat.com/support/errata/RHSA-2009-0339.html

http://www.securityfocus.com/archive/1/502018/100/0/threaded

http://www.securityfocus.com/archive/1/502031/100/0/threaded

http://www.securityfocus.com/bid/34185

http://www.securitytracker.com/id?1021870

http://www.ubuntu.com/usn/USN-744-1

http://www.vupen.com/english/advisories/2009/0775

https://bugzilla.redhat.com/show_bug.cgi?id=487509

https://exchange.xforce.ibmcloud.com/vulnerabilities/49328

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10023

https://rhn.redhat.com/errata/RHSA-2009-0377.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00794.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00799.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00811.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00851.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00856.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00857.html

https://www.redhat.com/archives/fedora-package-announce/2009-March/msg00921.html

Details

Source: MITRE

Published: 2009-03-23

Updated: 2018-10-10

Type: CWE-399

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: (AV:N/AC:M/Au:N/C:N/I:N/A:P)

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM